gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Pack widgets in grid/table patterns.

The Table widget allows a programmer to arrange widgets in rows and columns, making it easy to align many widgets adjacent to each other, horizontally and vertically.

Tables are created with a specific size - the number of rows and columns. This can be changed dynamically with the method. Widgets are packed into the table with methods.

The layout of a table can be altered by setting the spacing between rows and columns. This is done with the and properties, respectively. The spacing of individual cells can be adjusted with .

The following shows how to create a table with three widgets: `public Widget MakeTableTester() { // Create a table with 2 rows and 1 column Table tableLayout = new Table(2, 1, false); Label longLabel = new Label("This is a label that spans at least two Entry widgets"); // Attach the label over the entire first row tableLayout.Attach(longLabel, 0, 2, 0, 1); // Attach an entry to each cell in the second row tableLayout.Attach(new Entry(), 0, 1, 1, 2); tableLayout.Attach(new Entry(), 1, 2, 1, 2); tableLayout.ShowAll(); return tableLayout; }`

Gtk.Container Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` Sets the spacing around a specified column. A zero-indexed column number to adjust the spacing of. The number of pixels on each side of the .

  To adjust the spacing between all columns, use the property.

- Method
  System.UInt32 `` The spacing currently set for a given column. A zero-indexed column number to retrieve spacing information from. The number of pixels of spacing assigned to the specified .
- Method
  System.Void `` `` Resizes the table so that the specified number of and are available for widget packing. The new number of rows this table should allow. The new number of columns this table should allow.
- Method
  System.Void `` `` `` `` `` `` `` `` `` Packs a widget into the table. The to add. The column number to attach the left side of to. The column number to attach the right side of to. The row number to attach the top of to. The row number to attach the bottom of to. The horizontal packing options for this . The vertical packing options for this . The number of pixels of padding to add to the left and right of . The number of pixels of padding to add to the top and bottom of .

  You can pack widgets into the Table using default packing and padding with the convenience method.

  Child widgets can span as many table cells as they wish, allowing the programmer to create complex grids of Widgets.

- Method
  System.Void `` `` `` `` `` Packs a widget into the table with default packing options. The to add. The column number to attach the left side of to. The column number to attach the right side of to. The row number to attach the top of to. The row number to attach the bottom of to.

  To pack widgets into the table with more control over size and padding, use the alternative method.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Table, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new Table widget.
  The number of rows in this table.
  The number of columns in this table.
  Whether all table cells are forced to be the same size.
  A new Table.

  The size of the table can be altered after its creation using the method.

- Property
  System.UInt32 Retrieve the spacing that gets placed between newly added rows by default. Spacing between rows that will be added, in pixels.
- Property
  System.UInt32 The default number of pixels between columns. A .
- Property
  System.UInt32 The number of pixels between columns if it isn't the default value. . A .
- Property
  System.UInt32 Manage the number of columns in this Table. The number of columns that this table should have. The number of columns this table currently has.
- Property
  System.Boolean Manage whether all cells must be of equal size. to set all cells to an equal size, otherwise. if all cells are currently equally sized, otherwise.
- Property
  System.UInt32 The space between table rows. A . .
- Property
  System.UInt32 Manage the number of rows in this Table. The number of rows that this table should have. The number of rows this table currently has.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  Gtk.AttachOptions `` Get a child's horizontal attachment options a child of this the
- Method
  System.Void `` `` Set a child's horizontal attachment options a child of this the
- Method
  Gtk.AttachOptions `` Get a child's vertical attachment options a child of this the
- Method
  System.Void `` `` Set a child's vertical attachment options a child of this the
- Method
  System.UInt32 `` Get the row that the bottom of this child is attached to. a child of this the row
- Method
  System.Void `` `` Set the row that the bottom of this child is attached to. a child of this the row
- Method
  System.UInt32 `` Get the row that the top of this child is attached to. a child of this the row
- Method
  System.Void `` `` Set the row that the top of this child is attached to. a child of this the row
- Method
  System.UInt32 `` Get the column that the left of this child is attached to. a child of this the column
- Method
  System.Void `` `` Set the column that the left of this child is attached to. a child of this the column
- Method
  System.UInt32 `` Get the column that the right of this child is attached to. a child of this the column
- Method
  System.Void `` `` Set the column that the right of this child is attached to. a child of this the column
- Method
  System.UInt32 `` Get the horizontal padding for this child a child of this the padding
- Method
  System.Void `` `` Set the horizontal padding for this child a child of this the padding
- Method
  System.UInt32 `` Get the vertical padding for this child a child of this the padding
- Method
  System.Void `` `` Set the vertical padding for this child a child of this the padding